%global orig_name synergy

%global synergy_revision 0bd448d5

Summary: Share mouse and keyboard between multiple computers over the network
Name: synergy-ipv6
Version: 2.0.0
Release: 1%{?dist}
License: GPLv2
Group: System Environment/Daemons
URL: https://symless.com/synergy
Source0: https://github.com/symless/synergy-core/archive/v%{version}-stable.tar.gz

# IPv6 support
Patch0: synergy-2.0.0-ipv6-support.patch

# Last built version of synergy-plus was 1.3.4-12.fc20
Provides: synergy-plus = %{version}-%{release}
Obsoletes: synergy-plus < 1.3.4-13
BuildRequires: cmake3
BuildRequires: avahi-compat-libdns_sd-devel
BuildRequires: libX11-devel
BuildRequires: libXtst-devel
BuildRequires: qt-devel
BuildRequires: libcurl-devel
BuildRequires: desktop-file-utils
BuildRequires: openssl-devel

Conflicts:      otherproviders(synergy)
Provides:       synergy = %{version}


%description
Synergy lets you easily share your mouse and keyboard between multiple
computers, where each computer has its own display. No special hardware is
required, all you need is a local area network. Synergy is supported on
Windows, Mac OS X and Linux. Redirecting the mouse and keyboard is as simple
as moving the mouse off the edge of your screen.


%prep
%autosetup -p1 -n %{orig_name}-core-%{version}-stable
rm -fr ext/openssl


%build
PATH="$PATH:/usr/lib64/qt4/bin:/usr/lib/qt4/bin"
%{cmake3} -DSYNERGY_VERSION_STAGE:STRING=stable -DSYNERGY_REVISION:STRING=%{synergy_revision} .
make %{?_smp_mflags}


%install
install -D -p -m 0755 bin/synergyc     %{buildroot}%{_bindir}/synergyc
install -D -p -m 0755 bin/synergys     %{buildroot}%{_bindir}/synergys
install -D -p -m 0755 bin/synergy-core %{buildroot}%{_bindir}/synergy-core
install -D -p -m 0644 doc/synergyc.man %{buildroot}%{_mandir}/man8/synergyc.8
install -D -p -m 0644 doc/synergys.man %{buildroot}%{_mandir}/man8/synergys.8
install -D -p -m 0644 res/synergy.ico  %{buildroot}%{_datadir}/pixmaps/synergy.ico


%files
# None of the documentation files are actually useful here, they all point to
# the online website, so include just one, the README
%doc LICENSE ChangeLog res/Readme.txt doc/synergy.conf.example*
%{_bindir}/synergyc
%{_bindir}/synergys
%{_bindir}/synergy-core
%{_datadir}/pixmaps/synergy.ico
%{_mandir}/man8/synergyc.8*
%{_mandir}/man8/synergys.8*


%changelog
* Fri Apr 06 2018 Nikola Forró <nforro@redhat.com> - 2.0.0-1
- Initial package
